Rapid7 Vulnerability & Exploit Database

EGallery PHP File Upload Vulnerability

Back to Search

EGallery PHP File Upload Vulnerability

Disclosed
07/08/2012
Created
05/30/2018

Description

This module exploits a vulnerability found in EGallery 1.2 By abusing the uploadify.php file, a malicious user can upload a file to the egallery/ directory without any authentication, which results in arbitrary code execution. The module has been tested successfully on Ubuntu 10.04.

Author(s)

  • Sammy FORGIT
  • juan vazquez <juan.vazquez@metasploit.com>

Platform

PHP

Architectures

php

Development

References

Module Options

To display the available options, load the module within the Metasploit console and run the commands 'show options' or 'show advanced':

msf > use exploit/unix/webapp/egallery_upload_exec
msf exploit(egallery_upload_exec) > show targets
    ...targets...
msf exploit(egallery_upload_exec) > set TARGET < target-id >
msf exploit(egallery_upload_exec) > show options
    ...show and set options...
msf exploit(egallery_upload_exec) > exploit

Time is precious, so I don’t want to do something manually that I can automate. Leveraging the Metasploit Framework when automating any task keeps us from having to re-create the wheel as we can use the existing libraries and focus our efforts where it matters.

– Jim O’Gorman | President, Offensive Security

;